Package org.eclipse.lemminx.extensions.contentmodel.participants.codeactions

## Class DownloadDisabledResourceCodeAction

- java.lang.Object
- - org.eclipse.lemminx.extensions.contentmodel.participants.codeactions.DownloadDisabledResourceCodeAction

All Implemented Interfaces:
  `ICodeActionParticipant`

    public class DownloadDisabledResourceCodeAction
    extends Object
    implements ICodeActionParticipant

Code action to force download of an external resource.

Author:
  Angelo ZERR

### Constructor Summary

Constructors
`DownloadDisabledResourceCodeAction()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.eclipse.lsp4j.Command` `createDownloadCommand​(String title, String url, String documentURI)`
`void` `doCodeAction​(ICodeActionRequest request, List<org.eclipse.lsp4j.CodeAction> codeActions, org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)` Collect the code action in the given `codeActions` for the given code action request `request`.
`static String` `getUrlToForceToDownload​(Map<String,​Object> validationArgs)` Returns the url to force to download and null otherwise.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.lemminx.services.extensions.codeaction.ICodeActionParticipant

`doCodeActionUnconditional, getResolveCodeActionParticipant`

### Constructor Detail

#### DownloadDisabledResourceCodeAction

    public DownloadDisabledResourceCodeAction()

### Method Detail

#### doCodeAction

    public void doCodeAction​(ICodeActionRequest request,
                             List<org.eclipse.lsp4j.CodeAction> codeActions,
                             org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)

Description copied from interface: `ICodeActionParticipant`
Collect the code action in the given `codeActions` for the given code action request `request`.

Specified by:
  `doCodeAction` in interface `ICodeActionParticipant`
Parameters:
  `request` - the code action request.
  `codeActions` - list of code actions to fill.
  `cancelChecker` - the cancel checker.

#### createDownloadCommand

    public static org.eclipse.lsp4j.Command createDownloadCommand​(String title,
                                                                  String url,
                                                                  String documentURI)

#### getUrlToForceToDownload

    public static String getUrlToForceToDownload​(Map<String,​Object> validationArgs)

Returns the url to force to download and null otherwise.

Parameters:
  `validationArgs` - the validation arguments.
Returns:
  the url to force to download and null otherwise.